import { JSX, Suspense } from "solid-js";
import "../styles/Layout.scss";
import Footer from "./Footer";
import NavBar from "./NavBar";

function Layout(props: { children: JSX.Element; site: string }) {
  return (
    <>
      <NavBar />
      <div class={props.site}>
        <Suspense>{props.children}</Suspense>
      </div>
      <Footer />
    </>
  );
}

export default Layout;
